package com.sifang.modules.sunshine.fittingManager.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_site_fitting")
public class CrmSiteFitting implements Serializable{
    private static final long serialVersionUID = 1L;
    private String id;
    private String code;
    private String name;
    private String img;
    private String version;
    private String remarks;
    private String unit;
    private String unitType;
    private String refundOldFlag;
    private String status;
    private Date createTime;
    private String createBy;
    private String keyword;
    private BigDecimal warning;
    private BigDecimal alertNum;
    private BigDecimal auditedSum;
    private BigDecimal sitePrice;
    private BigDecimal employePrice;
    private BigDecimal customerPrice;
    private Date newestKeepTime;
    private Date newestStorageTime;
    private String suitPrinter;
    private String location;
    private String siteId;
    private String platformFittingId;

    public CrmSiteFitting() {
        super();
        this.status = "1";
        this.createTime = new Date();
        this.refundOldFlag = "1";
        this.unitType="d";
        this.sitePrice = new BigDecimal("0.00");
        this.employePrice = new BigDecimal("0.00");
        this.auditedSum = new BigDecimal("0.00");
        this.customerPrice = new BigDecimal("0.00");
    }

    public BigDecimal getAuditedSum() {
        return auditedSum;
    }

    public void setAuditedSum(BigDecimal auditedSum) {
        this.auditedSum = auditedSum;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnitType() {
        return unitType;
    }

    public void setUnitType(String unitType) {
        this.unitType = unitType;
    }

    public String getRefundOldFlag() {
        return refundOldFlag;
    }

    public void setRefundOldFlag(String refundOldFlag) {
        this.refundOldFlag = refundOldFlag;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public BigDecimal getWarning() {
        return warning;
    }

    public void setWarning(BigDecimal warning) {
        this.warning = warning;
    }

    public BigDecimal getAlertNum() {
        return alertNum;
    }

    public void setAlertNum(BigDecimal alertNum) {
        this.alertNum = alertNum;
    }

    public BigDecimal getSitePrice() {
        return sitePrice;
    }

    public void setSitePrice(BigDecimal sitePrice) {
        this.sitePrice = sitePrice;
    }

    public BigDecimal getEmployePrice() {
        return employePrice;
    }

    public void setEmployePrice(BigDecimal employePrice) {
        this.employePrice = employePrice;
    }

    public BigDecimal getCustomerPrice() {
        return customerPrice;
    }

    public void setCustomerPrice(BigDecimal customerPrice) {
        this.customerPrice = customerPrice;
    }

    public Date getNewestKeepTime() {
        return newestKeepTime;
    }

    public void setNewestKeepTime(Date newestKeepTime) {
        this.newestKeepTime = newestKeepTime;
    }

    public Date getNewestStorageTime() {
        return newestStorageTime;
    }

    public void setNewestStorageTime(Date newestStorageTime) {
        this.newestStorageTime = newestStorageTime;
    }

    public String getSuitPrinter() {
        return suitPrinter;
    }

    public void setSuitPrinter(String suitPrinter) {
        this.suitPrinter = suitPrinter;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getPlatformFittingId() {
        return platformFittingId;
    }

    public void setPlatformFittingId(String platformFittingId) {
        this.platformFittingId = platformFittingId;
    }
}
